// interopsvcdimerpc.idl : IDL source for interopsvcdimerpc
//

// This file will be processed by the MIDL tool to
// produce the type library (interopsvcdimerpc.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

[
	object,
	uuid(B55D4AE6-88EE-403A-9FF4-EFAB2D8F3A5D),
	dual,
	nonextensible,
	helpstring("IinteropsvcdimerpcObj Interface"),
	pointer_default(unique)
]
interface IinteropsvcdimerpcObj : IDispatch{
	[id(1), helpstring("method EchoAttachment")] HRESULT EchoAttachment([in] VARIANT In, [out, retval] VARIANT *Out);
	[id(2), helpstring("method EchoAttachments")] HRESULT EchoAttachments([in] VARIANT In, [out, retval] VARIANT *Out);
	[id(3), helpstring("method EchoAttachmentAsBase64")] HRESULT EchoAttachmentAsBase64([in] VARIANT In, [out, retval] VARIANT *Out);
	[id(4), helpstring("method EchoBase64AsAttachment")] HRESULT EchoBase64AsAttachment([in] VARIANT In, [out, retval] VARIANT *Out);
	[id(5), helpstring("method EchoAttachmentAsString")] HRESULT EchoAttachmentAsString([in] VARIANT In, [out, retval] BSTR *Out);
};
[
	uuid(314DD818-CB35-4187-A864-041690089B04),
	version(1.0),
	helpstring("interopsvcdimerpc 1.0 Type Library")
]
library interopsvcdimerpcLib
{
	importlib("stdole2.tlb");
	[
		uuid(41ABCAA6-8B56-4C68-9BB0-3C2AB3E890E2),
		helpstring("interopsvcdimerpcObj Class")
	]
	coclass interopsvcdimerpcObj
	{
		[default] interface IinteropsvcdimerpcObj;
	};
};
